/*---THEME---*/
.themes-menu-tms .nav-link.active {
	background-color: rgba(var(--primary), 1);
}
.themes-menu-tms .nav-link.dark-mode .image::before {
	content:"";
	display: inline-block;
	width: 24px;
	height: 24px;
	background: url('../../IImageService/moon') center center no-repeat;
	background-size: 20px 20px;
	filter: var(--icon-filter-white);
	border-radius: 20px;
	
}
.themes-menu-tms .nav-link.light-mode .image::before {
	content:"";
	display: inline-block;
	width: 24px;
	height: 24px;
	background: url('../../IImageService/sun') center center no-repeat;
	background-size: 20px 20px;
	border-radius: 20px;
	
}
.settings-bar .themes-menu li > a > .image {
	display: inline-block;
	border-radius: 20px;
	height: 24px;
	width: 24px;
	border: 0px;
}
/*---ACTION BUTTONS----*/
a,
a.combo-box-object-link:not(:hover) {
	color: rgba(var(--linkblue), 1);
}
a:hover {
	color: rgba(var(--primary), 1);
}
button {
    box-shadow: 0 0 0px 0px rgba(var(--primary), 0);
    background-color: transparent;
}
.dxbl-text-edit > .dxbl-btn-group > .dxbl-btn {
    border: 0px;
}
    button:not(.dxbl-toolbar-menu-item button, dxbl-combobox button, .dxbl-modal-header-default button, button.rd-orders-tab-btn, button.dxbl-tabs-scroll-btn-next, button.dxbl-tabs-scroll-btn-prev):hover,
    .dxbl-text-edit > .dxbl-btn-group > .dxbl-btn:not(.dxbl-btn.dxbl-btn-icon):hover {
        box-shadow: 0 0 0px 4px rgba(var(--primary), 0.4) !important;
        transition: 0.3s;
    }
    .dxbl-text-edit > .dxbl-btn-group > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear, .dxbl-btn.dxbl-btn-icon),
    dxbl-combo-box.dxbl-text-edit .dxbl-btn:not(.dxbl-btn.dxbl-btn-icon) {
        border-radius: 7px !important;
    }
    .dxbl-text-edit > .dxbl-btn-group > .dxbl-btn:not(.dxbl-btn.dxbl-edit-btn-clear,.dxbl-btn.dxbl-btn-icon):hover,
    dxbl-combo-box.dxbl-text-edit .dxbl-btn:not(.dxbl-btn.dxbl-btn-icon):hover {
        box-shadow: none !important;
        
    }
.dxbl-context-menu.dxbl-context-menu-dropdown > .dxbl-dropdown-body ul li:not(.dxbl-context-menu-separator) > .dxbl-context-menu-item:not(.dxbl-disabled):not(:disabled):active {
    background-color: var(--site-primary) !important;
}
.dxbl-btn-toolbar button.dxbl-toolbar-btn {
    min-height: 35px;
    border-radius: 7px;
}
.dxbl-btn-toolbar button.dxbl-toolbar-btn, .dxbl-btn-split button {
    padding-left: 15px;
    padding-right: 15px;
}
.dxbl-btn-split button:first-child {
    border-radius: 7px 0 0 7px !important;
}
.dxbl-btn-split button:last-child {
    border-radius: 0 7px 7px 0 !important;
}
/*------SCROLLBAR OVERRIDE------*/

::-webkit-scrollbar {
  width: 3px;
  position: absolute;
}

/* Track */
::-webkit-scrollbar-track {
  background: rgba(var(--midgrey), 0.3); 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
    background: rgba(var(--midgrey), 0.5); 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: rgba(var(--midgrey), 0.75); 
}


/*html {
  overflow-y: scroll;
  overflow-y: overlay;
}


* {
    scrollbar-width: none;                   
    scrollbar-color: rgba(var(--midgrey),0.3) transparent;      
}
*:hover {
    scrollbar-width: thin;                   
    scrollbar-color: rgba(var(--midgrey),0.3) transparent;         
}

*::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*::-webkit-scrollbar-thumb {
    background-color: #999;
    border-radius: 10px;
    border: 1px solid transparent;
}

*::-webkit-scrollbar-thumb:hover {
    background-color: #666;
}*/

/*------BUTTON OVERRIDE---------*/
button[title="Get help and support"] {
	display:none !important;
}
.dxbl-btn.dxbl-disabled:hover img,
.dxbl-btn.dxbl-btn-text-secondary:hover .dxbl-image {
    filter: grayscale(100%) !important;
}

.dxbl-btn-standalone.dxbl-btn-text-primary {
    color: var(--site-primary)
}

/*.btn-hamburger.dxbl-btn[title="Hide Navigation Pane"] {
    position: absolute;
    left: 0px;
    z-index: 9;
    transition: 0s;
}

.btn-hamburger.dxbl-btn[title="Show Navigation Pane"] {
    position: absolute;
    left: 10px;
    z-index: 9;
    transition: 0s;
}*/

/*.btn-hamburger.dxbl-btn .xaf-image {
    -webkit-mask: url('../../IImageService/Coding.sidebar') !important;
    mask: url('../../IImageService/Coding.sidebar') !important;
}*/

.dxbl-btn {
    font-weight: 500;
}

    .dxbl-btn-primary,
    .dxbl-btn[data-action-name="New"] {
        background-color: var(--site-primary);
        background: var(--site-primary-custombg) !important;
        border-color: var(--site-primary);
        color: var(--site-lighttext);
    }


.dxbl-btn-primary.dxbl-btn.dxbl-disabled, .dxbl-btn-primary.dxbl-btn:disabled {
    background-color: var(--dxbl-btn-disabled-bg);
    border-color: var(--dxbl-btn-secondary-disabled-border-color);
    color: var(--dxbl-btn-disabled-color);
}

.dxbl-context-menu.dxbl-context-menu-dropdown > .dxbl-dropdown-body ul li:not(.dxbl-context-menu-separator) > .dxbl-context-menu-item:not(.dxbl-disabled):not(:disabled):active {
    background-color: var(--site-primary) !important;
}


.dxbl-checkbox.dxbl-checkbox-switch.dxbl-checkbox-checked .dxbl-checkbox-check-element, .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio):not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly).dxbl-checkbox-checked .dxbl-checkbox-check-element, .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio):not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly).dxbl-checkbox-indeterminate .dxbl-checkbox-check-element {
    background-color: var(--site-primary);
    background: var(--site-primary-custombg) !important;
}

    .dxbl-checkbox.dxbl-checkbox-switch:not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly).dxbl-checkbox-checked .dxbl-checkbox-check-element:not(.dxbl-disabled):not(:disabled):hover, .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio):not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly).dxbl-checkbox-checked .dxbl-checkbox-check-element:not(.dxbl-disabled):not(:disabled):hover, .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio):not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly).dxbl-checkbox-indeterminate .dxbl-checkbox-check-element:not(.dxbl-disabled):not(:disabled):hover {
        background-color: var(--site-secondary);
        background: var(--site-secondary-custombg) !important;
    }

.dxbl-checkbox.dxbl-checkbox-checked .dxbl-checkbox-check-element:focus-within, .dxbl-checkbox.dxbl-checkbox-checked .dxbl-checkbox-check-element:has(:focus), .dxbl-checkbox.dxbl-checkbox-indeterminate .dxbl-checkbox-check-element:focus-within, .dxbl-checkbox.dxbl-checkbox-indeterminate .dxbl-checkbox-check-element:has(:focus), .dxbl-checkbox.dxbl-checkbox-unchecked .dxbl-checkbox-check-element:focus-within, .dxbl-checkbox.dxbl-checkbox-unchecked .dxbl-checkbox-check-element:has(:focus) {
    box-shadow: 0 0 var(--site-secondary);
}

.dxbl-checkbox.dxbl-checkbox-display-view-checked > div > .dxbl-image, .dxbl-checkbox.dxbl-checkbox-display-view-indeterminate > div > .dxbl-image, .dxbl-checkbox.dxbl-checkbox-display-view-unchecked > div > .dxbl-image {
    fill: var(--site-primary);
}

/*.dxbl-btn-toolbar > .dxbl-btn-group > .dxbl-toolbar-item > .dxbl-btn.dxbl-btn-secondary:not(.dxbl-disabled):not(:disabled).dxbl-active {
    color: var(--site-lighttext);
}*/

.btn-primary {
    color: #fff;
    background: var(--site-primary);
    background: var(--site-primary-custombg) !important;
    border-color: var(--site-primary);
}

    .btn-primary:hover {
        color: #fff;
        background-color: var(--site-primary);
        background: var(--site-secondary-custombg) !important;
        border-color: var(--site-secondary);
    }

.dxbl-pager-page-btn.dxbl-btn.dxbl-disabled, .dxbl-pager-page-btn.dxbl-btn:disabled {
    background-color: var(--site-default);
    background: var(--site-default-custombg) !important;
}
.dxbl-text-edit.dxbl-disabled::before, .dxbl-text-edit:disabled::before {
  content: "";
  opacity: .5;
  background: url(../../IImageService/ycon-Lock) no-repeat;
  background-color: transparent;
	background-size: 12px 12px;
	background-position: 98% center ;
  
}
/*.dxbl-text-edit.dxbl-disabled .dxbl-text-edit-template,
.dxbl-text-edit.dxbl-disabled input {
	background: url(../../IImageService/ycon-Lock) no-repeat;
	background-size: 12px 12px;
	background-position: center right;
	opacity: 0.7;
}*/
.dxbl-text-edit.dxbl-disabled .dxbl-text-edit-template,
.dxbl-text-edit.dxbl-disabled input {
	height: 30px;
	opacity: 0.7;
    padding-right: 20px;
}
.dxbl-text-edit.dxbl-disabled button {
	display: none;
}

.dxbl-btn.dxbl-grid-filter-menu-funnel-btn.dxbl-grid-filter-menu-funnel-btn-filled {
    color: var(--site-secondary);
}

    .dxbl-btn.dxbl-grid-filter-menu-funnel-btn.dxbl-grid-filter-menu-funnel-btn-filled:hover {
        color: var(--site-secondary);
    }
.dxbl-pager > .dxbl-btn.dxbl-btn-outline-secondary.dxbl-pager-active-page-btn {
	background: var(--site-primary-custombg);
}


/*------FORM OVERRIDE------*/
.dxbl-text-edit:not(.dxbl-navigation-filter) {
    padding: 3px 3px 3px 10px;
    border-radius: 7px;
    box-shadow: 0px 0px 0px 0px rgba(var(--primary), 0);
    transition: .3s;
}

    .dxbl-text-edit:has(:focus) {
        box-shadow: 0px 0px 0px 3px rgba(var(--primary), .4);
        border-color: var(--site-primary) !important;
    }

.dxbl-list-box-render-container > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled)::before, .dxbl-list-box > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled)::before {
    background: var(--site-primary);
}
.dxbl-fl .dxbl-fl-cpt {
    color: var(--site-darktext);
}
.dxbl-text-edit > .dxbl-text-edit-input, .dxbl-text-edit > .dxbl-text-edit-template, .dxbl-text-edit > .dxbl-text-edit-template .dxbl-text-edit-input, .dxbl-text-edit > textarea,
.dxbl-text-edit.xaf-combobox-with-template .dxbl-text-edit-template {
    opacity: 1;
    padding: 2px 0;
}

.dxbl-fl-group.dxbl-col-md-12.dxbl-col > .dxbl-row > .dxbl-fl-item.dxbl-fl-item-horizontal { /*min-height: 32px;*/ /*margin-top: 0px;*/
}

.dxbl-text-edit.dxbl-readonly, .dxbl-text-edit.dxbl-readonly:not(:focus) {
    box-shadow: 0 0px 0px 0 rgba(var(--primary), 0);
}

    .dxbl-text-edit.dxbl-readonly:hover, .dxbl-text-edit.dxbl-readonly:focus {
        box-shadow: 0px 0px 0px 3px rgba(var(--primary), .4);
    }

    .dxbl-text-edit.dxbl-readonly::before {
        background: none !important;
    }
input.dxbl-text-edit-input {
    min-height: 30px;
}

.dxbl-text-edit-template, .dxbl-text-edit-template > .xaf-combobox-item > input.dxbl-text-edit-input {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

dxbl-form-layout-item .dxbl-btn-group.dxbl-btn-group-right button, dxbl-toolbar-item .dxbl-btn-group.dxbl-btn-group-right button {
    border-left: 0px !important;
}

.dxbl-fl-tab-content .dxbl-fl-group.dxbl-col-md-12.dxbl-col {
    border-left: 0px !important;
}

.dxbl-text-edit.dxbl-readonly:hover {
    box-shadow: 0 0px 0px 3px rgba(var(--midgrey), 0.3);
    border-color: rgba(var(--midgrey), 0.75);
}

.dxbl-list-box-render-container:not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly):not(.dxbl-list-box-multi-select)[data-dx-focus-hidden] > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > :not(.dxbl-list-box-empty-data-container) > li:not(.dxbl-list-box-item-disabled):not(.dxbl-list-box-group-item):not([dxbl-top-virtual-spacer-element]):not([dxbl-bottom-virtual-spacer-element]).dxbl-list-box-item-selected:hover::before,
.dxbl-list-box-render-container > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > table > tbody > tr.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled) > td:first-of-type::before, html:not(.dxSafari) .dxbl-list-box > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > table > tbody > tr.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled) > td:first-of-type::before,
.dxbl-list-box-render-container:not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly):not(.dxbl-list-box-multi-select)[data-dx-focus-hidden] > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > :not(.dxbl-list-box-empty-data-container) > tbody > tr:not(.dxbl-list-box-item-disabled):not(.dxbl-list-box-group-item):not([dxbl-top-virtual-spacer-element]):not([dxbl-bottom-virtual-spacer-element]).dxbl-list-box-item-selected:hover > td:first-of-type::before, html:not(.dxSafari) .dxbl-list-box:not(.dxbl-disabled):not(:disabled):not(.dxbl-readonly):not(.dxbl-list-box-multi-select)[data-dx-focus-hidden] > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > :not(.dxbl-list-box-empty-data-container) > tbody > tr:not(.dxbl-list-box-item-disabled):not(.dxbl-list-box-group-item):not([dxbl-top-virtual-spacer-element]):not([dxbl-bottom-virtual-spacer-element]).dxbl-list-box-item-selected:hover > td:first-of-type::before {
    background-color: var(--site-primary) !important;
}

dxbl-toolbar-item dxbl-input-editor {
    border-width: 0px !important;
    border-bottom-width: 1px !important;
    border-radius: 0px !important;
    overflow: hidden;
    box-shadow: 0 0px 0px 0px rgba(var(--primary),0.25);
}
/*.dxbl-text-edit.dxbl-disabled::before, .dxbl-text-edit:disabled::before {
    opacity: .02 !important;
}*/
/*---CHECKBOX---*/
.dxbl-checkbox:not(.dxbl-grid-column-chooser-item .dxbl-checkbox):not(.dxbl-grid-filter-menu-values-view .dxbl-checkbox):not(.dxbl-grid-selection-cell .dxbl-checkbox):not(.xaf-action .dxbl-checkbox) {
    padding-left: 8px;
    height: 33px;
}
.dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio).dxbl-checkbox-unchecked .dxbl-checkbox-check-element {
    background: transparent !important;
    border-color: rgba(var(--primary), 1);
    /*box-shadow: inset 0 2px 2px 0px rgba(var(--lightgrey), 0.9);*/
    border-width: 0px;
}
    .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio).dxbl-checkbox-unchecked .dxbl-checkbox-check-element::before {
        background: transparent !important;
        border-color: rgba(var(--primary), 1);
        /*box-shadow: inset 0 2px 2px 0px rgba(var(--lightgrey), 0.9);*/
        border-width: 0px;
    }
.dxbl-checkbox-check-element {
    box-shadow: 0 0 0px 0px rgba(var(--secondary), 0) !important;
    border-radius: 3px;
    transition: .3s;
}
.dxbl-checkbox-check-element:hover {
    box-shadow: 0 0 0px 2px rgba(var(--secondary), 0.4) !important;
    transition: .3s;
}
    .dxbl-checkbox-check-element:hover::before,
    .dxbl-checkbox:hover,
    .dxbl-grid .dxbl-grid-table > tbody > tr > td > .dxbl-checkbox:hover {
        border-color: var(--site-secondary) !important;
        border-width: 0px !important;
    }

.dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio).dxbl-checkbox-unchecked .dxbl-checkbox-check-element {
    background: rgba(var(--secondary), 0);
    border: 1px solid rgba(var(--secondary), 1);
    border-radius: 5px;
}

    .dxbl-checkbox:not(.dxbl-checkbox-switch):not(.dxbl-checkbox-radio).dxbl-checkbox-unchecked .dxbl-checkbox-check-element:hover {
        background: rgba(var(--secondary), 0);
    }

/*---IMG THUMBNAIL--*/
.xaf-image-overlay.xaf-image-clickable-overlay {
    border: 1px solid var(--site-lightgrey);
}

.filter-wrapper {
    border-radius: 10px;
}

.dx-filtereditor .dx-filtereditor-tree {
    border-radius: 6px;
}
/*.dxbl-text-edit:has(textarea) {
    border: 1px solid var(--site-lightgrey) !important;
    padding: 5px;
    border-radius: 5px;
}*/
table tr td .dxbl-text-edit > .dxbl-text-edit-input,
table tr td .dxbl-text-edit > .dxbl-text-edit-template,
table tr td .dxbl-text-edit > .dxbl-text-edit-template .dxbl-text-edit-input,
table tr td .dxbl-text-edit > textarea,
table tr td .dxbl-text-edit.xaf-combobox-with-template .dxbl-text-edit-template {
    padding: 2px 6px 2px 6px;
}
/* ------PROGRESS BAR------- */
.dxbl-progress-bar-indicator {
	background-color: var(--site-green) !important;
	background-image: linear-gradient( 45deg, rgba(255, 255, 255, 0.2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.2) 50%, rgba(255, 255, 255, 0.2) 75%, transparent 75%, transparent );
	background-size: 8px 8px;
	height: 8px !important;
}
.dxbl-progress-bar-track-container .dxbl-progress-bar-track {
	background-color: rgba(var(--secondary), 0.25) !important;
}
.dxbl-progress-bar-track-container {
	border-radius: 20px !important;
	height: 8px !important;
	overflow: hidden;
	border: 1px solid rgba(var(--secondary), 0.4);
	background-color: rgba(var(--darkgrey), 1) !important;
	display: inline-block !important;
    width: calc(100% - 60px) !important;
	vertical-align: middle;
}
.dxbl-progress-bar-container.dxbl-progress-bar-column {
  display: block;
  width: 100% !important;
}
.xaf-progress-bar .dxbl-progress-bar-container .dxbl-progress-bar-label {
	 width: 56px !important;
  display: inline-block !important;
  vertical-align: middle;
  color: currentColor;
  text-align: right;
 }
.dxbl-progress-bar-label p {
	color: currentColor !important;
	font-weight: 700;
	width: 100%;
}
.dxbl-progress-bar.dxbl-progress-bar-success.dxbl-progress-bar-horizontal p {
	display:none !important;
}
.dxbl-progress-bar.dxbl-progress-bar-success.dxbl-progress-bar-horizontal .dxbl-progress-bar-label-container::before {
	content:"100%";
	font-weight: 700;
}


/*.progress-bar {
    background-color: var(--site-greendiamond);
    background: var(--site-green-custombg) !important;
}

.dxbl-list-box-render-container > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled)::before, .dxbl-list-box > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li.dxbl-list-box-item-selected:not(.dxbl-list-box-item-disabled)::before {
    background: var(--site-primary-custombg);
}*/
/*-----GRID OVERRIDE-------*/
.dxbl-grid-group-panel-container dxbl-grid-header-content.dxbl-grid-header-content {
    margin-top: 5px;
}

.dxbl-grid .dxbl-grid-table > tbody > tr > td, .dxbl-grid .dxbl-grid-table > tbody > tr > th, .dxbl-grid .dxbl-grid-table > tfoot > tr > td, .dxbl-grid .dxbl-grid-table > tfoot > tr > th, .dxbl-grid .dxbl-grid-table > thead > tr > td, .dxbl-grid .dxbl-grid-table > thead > tr > th {
    border-left-width: 0px;
}

.dxbl-grid.DispatchDashboard_View .dxbl-grid-table > tbody > tr:not(.dxbl-grid-edit-row):not(.dxbl-grid-empty-row):not(.dxbl-grid-filter-row):not([dxbl-top-virtual-spacer-element]):not([dxbl-bottom-virtual-spacer-element]) > td:not(.dxbl-grid-indent-cell):not(.dxbl-grid-expand-button-cell):not(.dxbl-grid-row-drag-anchor-cell):not(.dxbl-grid-empty-cell):not(.dxbl-grid-empty-data-area):not(.dxbl-grid-edit-form):not(.dxbl-grid-detail-cell) {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

.dxbl-grid .dxbl-grid-table > tbody > tr.dxbl-grid-editor-inplace-container > td .dxbl-text-edit::after {
    border-bottom: 2px solid var(--site-primary) !important;
}

/*.app.collapse-toggle table.dxbl-grid-table {
    overflow: auto;
}*/
/*table.dxbl-grid-table {
    overflow: hidden;
   
}*/
.nested-content > .grid-content.grid-virtual-scrolling-mode dxbl-grid.DispatchDashboard_View {
    max-height: calc(78vh - 50px);
}

#main-view-content:has(.dxbl-group[expanded-state="False"]) .nested-content > .grid-content.grid-virtual-scrolling-mode dxbl-grid.DispatchDashboard_View {
    max-height: calc(90vh - 120px);
}

/*------ICON OVERRIDE-----------*/
.xaf-sidebar .dxbl-image.xaf-nav-menu-item-icon,
.dxbl-tabs-text-container .dxbl-image.xaf-layout-tab-icon {
    filter: var(--icon-filter);
}

.xaf-caption-icon, .xaf-toolbar-item-icon:not(.dxbl-btn-primary .xaf-toolbar-item-icon),
.xaf-layout-tab-icon, .xaf-layout-group-icon,
.xaf-combobox-icon,
.dxbl-btn.dxbl-btn-text-secondary .dxbl-image,
.xaf-action.xaf-inline-action button img,
.dxbl-btn.dxbl-btn-primary.dxbl-disabled img {
    filter: grayscale(100%);
    /* filter: var(--icon-filter); */
	max-width: 18px;
  max-height: 18px;
  width: 18px;
  height: 18px;
}


.dxbl-btn:hover:not(.dxbl-disabled):not(:disabled) .xaf-caption-icon,
.dxbl-btn:hover:not(.dxbl-disabled):not(:disabled) .xaf-toolbar-item-icon:not(.dxbl-btn-primary .xaf-toolbar-item-icon),
.dxbl-btn:hover:not(.dxbl-disabled):not(:disabled) .xaf-layout-tab-icon,
.dxbl-btn:hover:not(.dxbl-disabled):not(:disabled) .xaf-layout-group-icon,
.dxbl-btn:hover:not(.dxbl-disabled):not(:disabled) .xaf-combobox-icon,
.dxbl-btn.dxbl-btn-text-secondary:hover .dxbl-image:not(button.dxbl-tabs-scroll-btn-prev .dxbl-image,button.dxbl-tabs-scroll-btn-next .dxbl-image),
.xaf-action.xaf-inline-action button:hover img,
.dxbl-btn.dxbl-btn-primary img,
.dxbl-btn[data-action-name="New"] img {
    filter: brightness(0) invert(1)!important;
}

/*------TAB OVERRIDE------*/
.dxbl-tabs > .dxbl-tabs-tablist:not([data-dx-focus-hidden]) .dxbl-tabs-item:focus-visible {
	outline-color: transparent;
}
.dxbl-tabs {
    --dxbl-tabs-tab-border-width: 0px;
    --dxbl-tabs-tab-selected-color: inherit !important;
}

.dxbl-tabs-item img.dxbl-image.xaf-layout-tab-icon {
    display: none !important;
}

.dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul {
    border-bottom: 1px solid var(--site-midgrey);
    padding: 0px;
}

    .dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-text-overflow {
        font-weight: 300;
    }

    .dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item::after {
        background-color: rgba(var(--midgrey), 0);
        height: 2px !important;
        width: 100%;
        margin-bottom: -1px;
        left: 0px;
        /* transition: .3s; */
    }

    .dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:hover::after {
        background-color: rgba(var(--midgrey), 0.8);
        width: 120%;
        left: -10px;
        transition: .3s;
    }

    .dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item.dxbl-active::after {
        background-color: var(--site-primary);
        background: var(--site-primary-custombg) !important;
        height: 2px !important;
        width: 100%;
        margin-bottom: -1px;
        left: 0px;
        transition: .3s;
    }
	
	.dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active {
		font-weight: 700;
	}

    .dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item.dxbl-active:hover::after {
        width: 120%;
        left: -10px;
        transition: .3s;
    }

.dxbl-tabs-item {
    background-color: rgba(187, 187, 187, 0.0);
    /* transition: all 0.5s ease-in; */
}

    .dxbl-tabs-item::before {
        opacity: 0% !important;
    }

        .dxbl-tabs-item::before:hover {
            opacity: 0% !important
        }
/*------MODAL OVERRIDE-----*/
.dxbl-modal {
    --dxbl-popup-border-width: 0px;
    --dxbl-popup-header-padding-x: 20px;
    --dxbl-popup-header-padding-y: 20px;
    --dxbl-popup-footer-padding-x: 20px;
    --dxbl-popup-footer-padding-y: 20px;
    --dxbl-popup-body-padding-x: 20px;
    --dxbl-popup-body-padding-y: 0px;
    --dxbl-popup-border-radius: 1rem;
    --dxbl-popup-shadow: 0 0px 200px 0 rgba(0, 0, 0, 0.6);
    --dxbl-popup-back-bg: #000000;
    --dxbl-popup-back-opacity: 0.5;
}

    .dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content .dxbl-popup-header > .dxbl-modal-header::before, .dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content > .dxbl-modal-header::before, .dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content > .dxbl-modal-footer::before {
        background: transparent !important;
    }

    .dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content .dxbl-popup-header > .dxbl-modal-header .dxbl-popup-header-button, .dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content > .dxbl-modal-header .dxbl-popup-header-button {
        width: 30px;
        height: 30px;
        margin: -10px;
    }
/*.dxbl-modal-header*/ .xaf-caption-icon-container {
    display: none;
}
/*.dxbl-modal-header */ .xaf-caption-container {
    max-width: 100% !important;
}

/*----------IMAGE OVERRIDE----------*/
.img-thumbnail {
    width: 100% !important;
}

.company-main-logo .img-thumbnail {
    background: #FFF;
}

.company-alt-logo .img-thumbnail {
    background-color: var(--site-darkgrey);
    background: var(--site-darkgrey-custombg) !important;
}